APERTURE:
  description: The WFI aperture name
  maxLength: 16
  title: Aperture
  type: string
CALVER:
  description: The version of the calibration software used
  maxLength: 16
  title: Calibration Version
  type: string
CATEGORY:
  description: 'The submitted proposal category of the program. The

    categories include calibration (CAL), core community survey

    (CCS), coronagraph technology demonstration (CGI), observatory

    commissioning (COM), engineering (ENG), general astrophysics

    survey (GAS), general investigator (GI), and observing conducted

    at the direction of the National Aeronautics and Space

    Administration (NASA).

    '
  maxLength: 6
  title: Program Category
  type: string
DETECTOR:
  description: The WFI detector name
  maxLength: 16
  title: Detector
  type: string
EXPEND:
  allOf:
  - pattern: '[0-9]{4}-(0[1-9])|(1[0-2])-(0[1-9])|([1-2][0-9])|(3[0-1])[T ]([0-1][0-9])|(2[0-4]):[0-5][0-9]:[0-5][0-9](.[0-9]+)?'
    type: string
  description: Last timestamp in the light curve (UTC)
  title: End Time
EXPSTART:
  allOf:
  - pattern: '[0-9]{4}-(0[1-9])|(1[0-2])-(0[1-9])|([1-2][0-9])|(3[0-1])[T ]([0-1][0-9])|(2[0-4]):[0-5][0-9]:[0-5][0-9](.[0-9]+)?'
    type: string
  description: First timestamp in the light curve (UTC)
  title: Start Time
EXPTIME:
  description: Cadence of photometric measurements for light curve (seconds)
  title: Exposure Time
  type: number
FIELD:
  description: Placeholder.  Example value '5'
  maxLength: 128
  title: Field
  type: string
FLIP:
  description: Placeholder.  Example value '1'
  maxLength: 8
  title: Flip
  type: string
INSTRUME:
  description: Instrument used
  maxLength: 8
  title: Instrument
  type: string
MJDEND:
  description: Last timestamp in the light curve (MJD)
  title: End Time MJD
  type: number
MJDSTART:
  description: First timestamp in the light curve (MJD)
  title: Start Time MJD
  type: number
OPTICAL_ELEMENT:
  allOf:
  - $schema: asdf://stsci.edu/datamodels/roman/schemas/rad_schema-1.0.0
    description: 'Name of the filter element used. See the RDox Optical Element page
      for more

      details on available optical elements and their properties.

      '
    enum:
    - F062
    - F087
    - F106
    - F129
    - F146
    - F158
    - F184
    - F213
    - GRISM
    - PRISM
    - DARK
    - NOT_CONFIGURED
    id: asdf://stsci.edu/datamodels/roman/schemas/wfi_optical_element-1.2.0
    maxLength: 20
    title: Optical Element
    type: string
  description: 'Name of the optical element used to take the science

    data.

    '
  title: Wide Field Instrument (WFI) Optical Element
PINAME:
  description: 'Principal Investigator (PI) last name; uppercase (e.g., FORD, LEMMON)

    '
  maxLength: 16
  title: PI Last Name
  type: string
PROGNUM:
  description: ID number (integer) assigned to the proposal
  maxLength: 16
  title: Program number
  type: string
PROGTITLE:
  description: The title of the program
  maxLength: 16
  title: Program Title
  type: string
SCIENCE_CATEGORY:
  description: 'The science category assigned during the Time

    Allocation Committee (TAC) review process.

    '
  maxLength: 50
  title: Science Category
  type: string
SEQUENCE:
  description: Placeholder.  Example value '3'
  maxLength: 10
  title: Sequence
  type: string
SUBCATEGORY:
  description: 'The submitted proposal subcategory of the program. The

    subcategories include calibration (CAL), coronagraph technology

    demonstration (CGI), community research programs (CR),

    discretionary research programs (DR), Galactic Bulge Time Domain

    Survey (GBTD), High-Latitude Time Domain Survey (HLTD),

    High-Latitude Wide-Area Survey (HLWA), observational research

    program (OR), Wide Field Instrument (WFI), and Wavefront Sensing

    and Control (WFSC). All subcategories belong to only a subset of

    the meta.program.category values.

    '
  maxLength: 15
  title: Program Subcategory
  type: string
TILE_ID:
  description: Placeholder.  Example value '35'
  maxLength: 10
  title: Tile Id
  type: string
conversion_megajanskys:
  description: 'The flux density (in units of megaJanskys per

    steradian; MJy/sr).

    '
  title: Zeropoint Flux (MJy/sr)
  type: number
conversion_megajanskys_uncertainty:
  description: 'The uncertainty in the flux density (in units of

    megaJanskys per steradian; MJy/sr)

    '
  title: Zeropoint Flux Uncertainty (MJy/sr)
  type: number
file_date:
  allOf:
  - pattern: '[0-9]{4}-(0[1-9])|(1[0-2])-(0[1-9])|([1-2][0-9])|(3[0-1])[T ]([0-1][0-9])|(2[0-4]):[0-5][0-9]:[0-5][0-9](.[0-9]+)?'
    type: string
  description: 'The file creation date as taken from the ''fileCreationTimestamp''
    property of the

    data availability notification (https://github.com/spacetelescope/roman-soc-ssc-common/blob/main/schemas/data_availability.json#L76)

    SSC does not need to include this in the ''metadata'' object of the data availability
    notification.

    '
  title: File Creation Date (UTC)
filename:
  description: 'The filename as taken from the ''filename'' property of the

    data availability notification (https://github.com/spacetelescope/roman-soc-ssc-common/blob/main/schemas/data_availability.json#L7)

    SSC does not need to include this in the ''metadata'' object of the data availability
    notification.

    '
  maxLength: 1024
  title: File Name
  type: string
flip_flag:
  description: Placeholder.  Example value 'False'
  maxLength: 8
  title: Flip Flag
  type: string
galactic_center_flag:
  description: Placeholder.  Example value 'False'
  maxLength: 8
  title: Galactic Center Flag
  type: string
max_exposure_time:
  description: 'Maximum exposure time of all pixels in the product in units of seconds.

    '
  title: Maximum Exposure Time (s)
  type: number
mean_exposure_time:
  description: 'Mean of component image exposure times

    '
  title: Mean Exposure Time (s)
  type: number
model_type:
  description: The type of data model used for the file.  Example value 'MicrolensingEventCatalogSchema'
  maxLength: 50
  title: Data Model Type
  type: string
msos_detection_efficiency_version:
  description: Placeholder.
  maxLength: 128
  title: Msos Detection Efficiency Version
  type: string
msos_events_version:
  description: Placeholder.  Example value '3.3.0'
  maxLength: 128
  title: Msos Events Version
  type: string
msos_photometry_version:
  description: Placeholder.  Example value '3.3.0'
  maxLength: 128
  title: Msos Photometry Version
  type: string
origin:
  description: 'Organization responsible for creating file ("IPAC/SSC"), the Science
    Support Center at Caltech/IPAC.

    SSC does not need to include this in the ''metadata'' object of the data availability
    notification.

    This will be added automatically by SOC ingest manifest software

    '
  maxLength: 15
  title: Institution / Organization Name
  type: string
product_type:
  description: 'A descriptor for the type of data contained within the

    file. This corresponds to the standard file suffixes for

    archival data products. Consult the documentation for the list

    of options.

    '
  maxLength: 120
  title: Product Type Descriptor
  type: string
season:
  description: Placeholder.  Example value '0'
  maxLength: 8
  title: Season
  type: string
sequence:
  description: Placeholder.
  maxLength: 128
  title: Sequence
  type: string
time_mean:
  allOf:
  - pattern: '[0-9]{4}-(0[1-9])|(1[0-2])-(0[1-9])|([1-2][0-9])|(3[0-1])[T ]([0-1][0-9])|(2[0-4]):[0-5][0-9]:[0-5][0-9](.[0-9]+)?'
    type: string
  description: 'The Universal Coordinated Time (UTC) mean start time of the exposures
    used to create the product.

    '
  title: Mean Time of the Product
